package siprp.update.updates;

import siprp.higiene.gestao.importacao.Importador;

import com.evolute.module.updater.AbstractUpdate;
import com.evolute.utils.db.Executer;

public class V11_7_To_V11_8 extends AbstractUpdate
{
	
	public V11_7_To_V11_8()
	{
		super(11.7,11.8,"Adicionado suporte adicional para tecnicos superiores de higiene e seguranca");
	}
	
	@Override
	public void doUpdate() throws Exception
	{
		Executer executer = getExecuter();
		com.evolute.utils.sql.Update update = 
			new com.evolute.utils.sql.Update(
					"alter table marcacoes_estabelecimento add column tecnico_superior_hst int4 " +
					"references marcacoes_tecnicos_hst(id); "
			);
		executer.executeQuery( update );
		new Importador( executer ).importar();
	}
	
}
